post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows users to update the assigned multi-factor authentication policy into a new one. It requires policy name of users and login id to update.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| policyName | Name of the multi-factor authentication policy to assign to the user | Yes | string |
| loginId | Login ID of the user whose multi-factor authentication policy will be updated | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.MFA.updateUserPolicy(
policyName="policy001",
loginId="test_login"
)
print(response)
client.close()Requires Python 3.9 or later.